ghc-7.8.4: The GHC API

Safe Haskell | None
Language | Haskell98

TcBinds

# Documentation

tcLocalBinds :: HsLocalBinds Name -> TcM thing -> TcM (HsLocalBinds TcId, thing)

tcTopBinds :: HsValBinds Name -> TcM (TcGblEnv, TcLclEnv)

tcRecSelBinds :: HsValBinds Name -> TcM TcGblEnv

tcHsBootSigs :: HsValBinds Name -> TcM [Id]

tcPolyCheck :: RecFlag -> PragFun -> TcSigInfo -> LHsBind Name -> TcM (LHsBinds TcId, [TcId], TopLevelFlag)

type PragFun = Name -> [LSig Name]

tcSpecPrags :: Id -> [LSig Name] -> TcM [LTcSpecPrag]

tcVectDecls :: [LVectDecl Name] -> TcM [LVectDecl TcId]

mkPragFun :: [LSig Name] -> LHsBinds Name -> PragFun

data TcSigInfo

Constructors

TcSigInfo |

Fields

sig_id :: TcId
sig_tvs :: [(Maybe Name, TcTyVar)]
sig_theta :: TcThetaType
sig_tau :: TcSigmaType
sig_loc :: SrcSpan

Instances

Outputable TcSigInfo |

type TcSigFun = Name -> Maybe TcSigInfo

instTcTySig :: LHsType Name -> TcType -> Name -> TcM TcSigInfo

instTcTySigFromId :: SrcSpan -> Id -> TcM TcSigInfo

findScopedTyVars :: LHsType Name -> TcType -> [TcTyVar] -> [(Maybe Name, TcTyVar)]

badBootDeclErr :: MsgDoc